Get real usage statistics for a connection (jobs using it, run counts, recent runs)
GET
/connections/{id}/stats
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Connection ID
Responses
Section titled “ Responses ”Connection usage statistics
object
jobs_using
required
Number of jobs that reference this connection
number
total_runs
required
Total number of runs across all jobs that use this connection
number
last_run_at
ISO-8601 timestamp of the most recent run of any job using this connection
string
last_successful_run_at
ISO-8601 timestamp of the most recent successful (COMPLETED) run of any job using this connection
string
recent_runs
required
Most recent runs of jobs that use this connection
Array<object>
object
run_id
required
Job run identifier
string
job_id
required
Identifier of the job that owns this run
string
job_name
Display name of the job that owns this run
string
status
required
Status of the run
string
started_at
ISO-8601 timestamp when the run started
string
Connection not found